// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#ifndef				__HBS_SEWER_GLUE_GAMEOVER_HPP__
# define			__HBS_SEWER_GLUE_GAMEOVER_HPP__
# include			"Module.hpp"
# include			"SewerGlue.hpp"

namespace			hbs
{
  class				SewerGlue;
  class				GameOver : public hbs::Module
  {
  public:
    enum			Ressource
      {
	FIRST_RESSOURCE,
	FONT			= FIRST_RESSOURCE,
	LAST_RESSOURCE
      };

  protected:
    static const std::string	ressources_file[LAST_RESSOURCE];
    sf::Texture			ressources[LAST_RESSOURCE];
    sf::Sprite			sprites[LAST_RESSOURCE];

    int				step;

    bool			warping;
    hbs::SewerGlue::Klondike	destination;
    int				warp_animation;

    int				arriving;

  public:
    bool			Start(hbs::SewerGlue		&sg);
    void			Reset(void);
    bool			Event(const sf::Event		&event);
    bool			Play(uint64_t			delay);
    void			Display(sf::RenderTarget	&screen);

    GameOver(void);
    ~GameOver(void);
  };
}

#endif	//			__HBS_SEWER_GLUE_GAMEOVER_HPP__

